using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using Telerik.Web.UI;

public partial class InstUpd_EmpresasVinculadas : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
                {
                    llena_combos();
                    lblEmpresaSeleccionada.Text = Request.QueryString["RazonSocial"];

                    cboCuentaNoemitidaSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaNoemitidaSoles.Items[0].Value = "";

                    cboCuentaNoemitidaDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaNoemitidaDolares.Items[0].Value = "";

                    cboCuentaEnCarteraSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaEnCarteraSoles.Items[0].Value = "";

                    cboCuentaEnCarteraDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaEnCarteraDolares.Items[0].Value = "";

                    cboCuentaEnCobranzaSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaEnCobranzaSoles.Items[0].Value = "";

                    cboCuentaEnCobranzaDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaEnCobranzaDolares.Items[0].Value = "";

                    cboCuentaGratuitaSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaGratuitaSoles.Items[0].Value = "";

                    cboCuentaGratuitaDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaGratuitaDolares.Items[0].Value = "";

                    cboCuentaAnticipoSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaAnticipoSoles.Items[0].Value = "";

                    cboCuentaAnticipoDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboCuentaAnticipoDolares.Items[0].Value = "";

                    cboComprasNoEmitidasSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasNoEmitidasSoles.Items[0].Value = "";

                    cboComprasNoEmitidasDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasNoEmitidasDolares.Items[0].Value = "";

                    cboComprasEmitidasSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasEmitidasSoles.Items[0].Value = "";

                    cboComprasEmitidasDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasEmitidasDolares.Items[0].Value = "";

                    cboComprasAnticiposSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasAnticiposSoles.Items[0].Value = "";

                    cboComprasAnticiposDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboComprasAnticiposDolares.Items[0].Value = "";

                    cboGastoProvisionadoSoles.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboGastoProvisionadoSoles.Items[0].Value = "";


                    cboGastoProvisionadoDolares.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
                    cboGastoProvisionadoDolares.Items[0].Value = "";
                    
                    //Establecimiento por Defecto
                    cboEstablecimientos.SelectedValue = Session["EmpresaID"].ToString().Trim();
                    buscaRegitros();
                }

        
    }

    protected void btnGuardar_Click(object sender, EventArgs e)
    {
        string connect = System.Configuration.ConfigurationManager.AppSettings["connectionstring"];
        SqlConnection scn = new SqlConnection(connect);
        string sp = "UCO_EmpresasVinculadas_CreaoModifica";
        SqlCommand spcmd = new SqlCommand(sp, scn);
        spcmd.CommandType = CommandType.StoredProcedure;
            SqlParameter EmpresaId = new SqlParameter("@EmpresaId", SqlDbType.VarChar);
            EmpresaId.Value = Request.QueryString["EmpresaID"].ToString();
            SqlParameter EstablecimientoID = new SqlParameter("@EstablecimientoID", SqlDbType.VarChar);
            EstablecimientoID.Value = cboEstablecimientos.SelectedValue;
            SqlParameter CuentaNoemitidaSoles = new SqlParameter("@CuentaNoemitidaSoles", SqlDbType.VarChar);
            CuentaNoemitidaSoles.Value =cboCuentaNoemitidaSoles.SelectedValue;
            SqlParameter CuentaNoemitidaDolares = new SqlParameter("@CuentaNoemitidaDolares", SqlDbType.VarChar);
            CuentaNoemitidaDolares.Value = cboCuentaNoemitidaDolares.SelectedValue;
            SqlParameter CuentaEnCarteraSoles = new SqlParameter("@CuentaEnCarteraSoles", SqlDbType.VarChar);
            CuentaEnCarteraSoles.Value = cboCuentaEnCarteraSoles.SelectedValue;
            SqlParameter CuentaEnCarteraDolares = new SqlParameter("@CuentaEnCarteraDolares", SqlDbType.VarChar);
            CuentaEnCarteraDolares.Value = cboCuentaEnCarteraDolares.SelectedValue;
            SqlParameter CuentaEnCobranzaSoles = new SqlParameter("@CuentaEnCobranzaSoles", SqlDbType.VarChar);
            CuentaEnCobranzaSoles.Value = cboCuentaEnCobranzaSoles.SelectedValue;
            SqlParameter CuentaEnCobranzaDolares = new SqlParameter("@CuentaEnCobranzaDolares", SqlDbType.VarChar);
            CuentaEnCobranzaDolares.Value = cboCuentaEnCobranzaDolares.SelectedValue;
            SqlParameter CuentaGratuitaSoles = new SqlParameter("@CuentaGratuitaSoles", SqlDbType.VarChar);
            CuentaGratuitaSoles.Value = cboCuentaGratuitaSoles.SelectedValue;
            SqlParameter CuentaGratuitaDolares = new SqlParameter("@CuentaGratuitaDolares", SqlDbType.VarChar);
            CuentaGratuitaDolares.Value = cboCuentaGratuitaDolares.SelectedValue;
            SqlParameter CuentaAnticipoSoles = new SqlParameter("@CuentaAnticipoSoles", SqlDbType.VarChar);
            CuentaAnticipoSoles.Value = cboCuentaAnticipoSoles.SelectedValue;
            SqlParameter CuentaAnticipoDolares = new SqlParameter("@CuentaAnticipoDolares", SqlDbType.VarChar);
            CuentaAnticipoDolares.Value = cboCuentaAnticipoDolares.SelectedValue;
            SqlParameter ComprasNoEmitidasSoles = new SqlParameter("@ComprasNoEmitidasSoles", SqlDbType.VarChar);
            ComprasNoEmitidasSoles.Value = cboComprasNoEmitidasSoles.SelectedValue;
            SqlParameter ComprasNoEmitidasDolares = new SqlParameter("@ComprasNoEmitidasDolares", SqlDbType.VarChar);
            ComprasNoEmitidasDolares.Value = cboComprasNoEmitidasDolares.SelectedValue;
            SqlParameter ComprasEmitidasSoles = new SqlParameter("@ComprasEmitidasSoles", SqlDbType.VarChar);
            ComprasEmitidasSoles.Value = cboComprasEmitidasSoles.SelectedValue;
            SqlParameter ComprasEmitidasDolares = new SqlParameter("@ComprasEmitidasDolares", SqlDbType.VarChar);
            ComprasEmitidasDolares.Value = cboComprasEmitidasDolares.SelectedValue;
            SqlParameter ComprasAnticiposSoles = new SqlParameter("@ComprasAnticiposSoles", SqlDbType.VarChar);
            ComprasAnticiposSoles.Value = cboComprasAnticiposSoles.SelectedValue;
            SqlParameter ComprasAnticiposDolares = new SqlParameter("@ComprasAnticiposDolares", SqlDbType.VarChar);
            ComprasAnticiposDolares.Value = cboComprasAnticiposDolares.SelectedValue;
            SqlParameter GastoProvisionadoSoles = new SqlParameter("@GastoProvisionadoSoles", SqlDbType.VarChar);
            GastoProvisionadoSoles.Value = cboGastoProvisionadoSoles.SelectedValue;
            SqlParameter GastoProvisionadoDolares = new SqlParameter("@GastoProvisionadoDolares", SqlDbType.VarChar);
            GastoProvisionadoDolares.Value = cboGastoProvisionadoDolares.SelectedValue;
            
            
        SqlDataReader dr;
        spcmd.Parameters.Add(EmpresaId);
        spcmd.Parameters.Add(EstablecimientoID);
        spcmd.Parameters.Add(CuentaNoemitidaSoles);
        spcmd.Parameters.Add(CuentaNoemitidaDolares);
        spcmd.Parameters.Add(CuentaEnCarteraSoles);
        spcmd.Parameters.Add(CuentaEnCarteraDolares);
        spcmd.Parameters.Add(CuentaEnCobranzaSoles);
        spcmd.Parameters.Add(CuentaEnCobranzaDolares);
        spcmd.Parameters.Add(CuentaGratuitaSoles);
        spcmd.Parameters.Add(CuentaGratuitaDolares);
        spcmd.Parameters.Add(CuentaAnticipoSoles);
        spcmd.Parameters.Add(CuentaAnticipoDolares);
        spcmd.Parameters.Add(ComprasNoEmitidasSoles);
        spcmd.Parameters.Add(ComprasNoEmitidasDolares);
        spcmd.Parameters.Add(ComprasEmitidasSoles);
        spcmd.Parameters.Add(ComprasEmitidasDolares);
        spcmd.Parameters.Add(ComprasAnticiposSoles);
        spcmd.Parameters.Add(ComprasAnticiposDolares);
        spcmd.Parameters.Add(GastoProvisionadoSoles);
        spcmd.Parameters.Add(GastoProvisionadoDolares);
        scn.Open();
        dr = spcmd.ExecuteReader();

        scn.Close();
        dr.Close();

        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CloseAndRebind();", true);
    }

    protected void llena_combos()
    {
        string connect = System.Configuration.ConfigurationManager.AppSettings["connectionstring"];
        SqlConnection scn = new SqlConnection(connect);
        string sp = "UCO_PlanDeCuentas_Select";
        SqlCommand spcmd = new SqlCommand(sp, scn);
        spcmd.CommandType = CommandType.StoredProcedure;
        SqlParameter WhereCondition = new SqlParameter("@WhereCondition", SqlDbType.VarChar);
        WhereCondition.Value = "Estado=0" + " and pdc.EstablecimientoID=" + Session["EmpresaID"].ToString().Trim() + " and pdc.NivelSaldoId <> (select Valor From ParametrosGenerales Where ParametroGeneralID = 5001) ";
        SqlParameter OrderByExpression = new SqlParameter("@OrderByExpression", SqlDbType.VarChar);
        OrderByExpression.Value = "codigoplancuenta asc, NombrePlanCuenta asc";
        SqlParameter CSA = new SqlParameter("@CSA", SqlDbType.VarChar);
        CSA.Value = "0";
        SqlDataReader dr;
        spcmd.Parameters.Add(WhereCondition);
        spcmd.Parameters.Add(OrderByExpression);
        spcmd.Parameters.Add(CSA);
        scn.Open();
        dr = spcmd.ExecuteReader();

        while (dr.Read())
        {   

            RadComboBoxItem item = new RadComboBoxItem();
                item.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
                item.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item2 = new RadComboBoxItem();
            item2.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item2.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item3 = new RadComboBoxItem();
            item3.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item3.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item4 = new RadComboBoxItem();
            item4.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item4.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item5 = new RadComboBoxItem();
            item5.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item5.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item6 = new RadComboBoxItem();
            item6.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item6.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item7 = new RadComboBoxItem();
            item7.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item7.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item8 = new RadComboBoxItem();
            item8.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item8.Value = dr["PlanCuentaID"].ToString().Trim().Trim();

            RadComboBoxItem item9 = new RadComboBoxItem();
            item9.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item9.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item10 = new RadComboBoxItem();
            item10.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item10.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item11 = new RadComboBoxItem();
            item11.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item11.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item12 = new RadComboBoxItem();
            item12.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item12.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item13 = new RadComboBoxItem();
            item13.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item13.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item14 = new RadComboBoxItem();
            item14.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item14.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item15 = new RadComboBoxItem();
            item15.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item15.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item16 = new RadComboBoxItem();
            item16.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item16.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item17 = new RadComboBoxItem();
            item17.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item17.Value = dr["PlanCuentaID"].ToString().Trim();

            RadComboBoxItem item18 = new RadComboBoxItem();
            item18.Text = dr["CodigoPlanCuenta"].ToString().Trim() + "->" + dr["NombrePlanCuenta"].ToString().Trim();
            item18.Value = dr["PlanCuentaID"].ToString().Trim();



                cboCuentaNoemitidaSoles.Items.Add(item);
                cboCuentaNoemitidaDolares.Items.Add(item2);
                cboCuentaEnCarteraSoles.Items.Add(item3);
                cboCuentaEnCarteraDolares.Items.Add(item4);
                cboCuentaEnCobranzaSoles.Items.Add(item5);
                cboCuentaEnCobranzaDolares.Items.Add(item6);
                cboCuentaGratuitaSoles.Items.Add(item7);
                cboCuentaGratuitaDolares.Items.Add(item8);
                cboCuentaAnticipoSoles.Items.Add(item9);
                cboCuentaAnticipoDolares.Items.Add(item10);
                cboComprasNoEmitidasSoles.Items.Add(item11);
                cboComprasNoEmitidasDolares.Items.Add(item12);
                cboComprasEmitidasSoles.Items.Add(item13);
                cboComprasEmitidasDolares.Items.Add(item14);
                cboComprasAnticiposSoles.Items.Add(item15);
                cboComprasAnticiposDolares.Items.Add(item16);
                cboGastoProvisionadoSoles.Items.Add(item17);
                cboGastoProvisionadoDolares.Items.Add(item18);
                
            item.DataBind();
            item2.DataBind();
            item3.DataBind();
            item4.DataBind();
            item5.DataBind();
            item6.DataBind();
            item7.DataBind();
            item8.DataBind();
            item9.DataBind();
            item10.DataBind();
            item11.DataBind();
            item12.DataBind();
            item13.DataBind();
            item14.DataBind();
            item15.DataBind();
            item16.DataBind();
            item17.DataBind();
            item18.DataBind();

        }

        scn.Close();
        dr.Close();
    }

    protected void RadAjaxManager1_AjaxRequest(object sender, Telerik.Web.UI.AjaxRequestEventArgs e)
    {
        //RadAjaxManager1.Alert("AjaxRequest raised from the " + e.Argument);

        string Argumento = e.Argument;

        if (Argumento == "BuscarRegistros")
        {
            buscaRegitros();
        }
    }

    protected void cboEstablecimientos_SelectedIndexChanged(object o, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
    {
        buscaRegitros();
    }

    protected void buscaRegitros()
    {
        //llena_combos();
        string connect = System.Configuration.ConfigurationManager.AppSettings["connectionstring"];
        SqlConnection scn = new SqlConnection(connect);
        string select = "SELECT * FROM EmpresaVinculadas WHERE EmpresaId = " + Request.QueryString["EmpresaID"].ToString() + " AND EstablecimientoID = " + cboEstablecimientos.SelectedValue;
        SqlCommand spcmd = new SqlCommand(select, scn);
        spcmd.CommandType = CommandType.Text;
        SqlDataReader dr;
        scn.Open();
        dr = spcmd.ExecuteReader();

        if (dr.HasRows)
        {
            while (dr.Read())
            {
                cboCuentaNoemitidaSoles.SelectedValue = dr["CuentaNoemitidaSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaNoemitidaSoles"]).ToString();
                cboCuentaNoemitidaDolares.SelectedValue = dr["CuentaNoemitidaDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaNoemitidaDolares"]).ToString();
                cboCuentaEnCarteraSoles.SelectedValue = dr["CuentaEnCarteraSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaEnCarteraSoles"]).ToString();
                cboCuentaEnCarteraDolares.SelectedValue = dr["CuentaEnCarteraDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaEnCarteraDolares"]).ToString();
                cboCuentaEnCobranzaSoles.SelectedValue = dr["CuentaEnCobranzaSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaEnCobranzaSoles"]).ToString();
                cboCuentaEnCobranzaDolares.SelectedValue = dr["CuentaEnCobranzaDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaEnCobranzaDolares"]).ToString();
                cboCuentaGratuitaSoles.SelectedValue = dr["CuentaGratuitaSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaGratuitaSoles"]).ToString();
                cboCuentaGratuitaDolares.SelectedValue = dr["CuentaGratuitaDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaGratuitaDolares"]).ToString();
                cboCuentaAnticipoSoles.SelectedValue = dr["CuentaAnticipoSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaAnticipoSoles"]).ToString();
                cboCuentaAnticipoDolares.SelectedValue = dr["CuentaAnticipoDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["CuentaAnticipoDolares"]).ToString();
                cboComprasNoEmitidasSoles.SelectedValue = dr["ComprasNoEmitidasSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasNoEmitidasSoles"]).ToString();
                cboComprasNoEmitidasDolares.SelectedValue = dr["ComprasNoEmitidasDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasNoEmitidasDolares"]).ToString();
                cboComprasEmitidasSoles.SelectedValue = dr["ComprasEmitidasSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasEmitidasSoles"]).ToString();
                cboComprasEmitidasDolares.SelectedValue = dr["ComprasEmitidasDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasEmitidasDolares"]).ToString();
                cboComprasAnticiposSoles.SelectedValue = dr["ComprasAnticiposSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasAnticiposSoles"]).ToString();
                cboComprasAnticiposDolares.SelectedValue = dr["ComprasAnticiposDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasAnticiposDolares"]).ToString();
                cboGastoProvisionadoSoles.SelectedValue = dr["ComprasGastoProvisionadoSoles"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasGastoProvisionadoSoles"]).ToString();
                cboGastoProvisionadoDolares.SelectedValue = dr["ComprasGastoProvisionadoDolares"].ToString().Trim() == "" ? "" : Convert.ToInt32(dr["ComprasGastoProvisionadoDolares"]).ToString();
            }
        }
        else
        {
            cboCuentaNoemitidaSoles.SelectedValue = "";
            cboCuentaNoemitidaDolares.SelectedValue = "";
            cboCuentaEnCarteraSoles.SelectedValue = "";
            cboCuentaEnCarteraDolares.SelectedValue = "";
            cboCuentaEnCobranzaSoles.SelectedValue = "";
            cboCuentaEnCobranzaDolares.SelectedValue = "";
            cboCuentaGratuitaSoles.SelectedValue = "";
            cboCuentaGratuitaDolares.SelectedValue = "";
            cboCuentaAnticipoSoles.SelectedValue = "";
            cboCuentaAnticipoDolares.SelectedValue = "";
            cboComprasNoEmitidasSoles.SelectedValue = "";
            cboComprasNoEmitidasDolares.SelectedValue = "";
            cboComprasEmitidasSoles.SelectedValue = "";
            cboComprasEmitidasDolares.SelectedValue = "";
            cboComprasAnticiposSoles.SelectedValue = "";
            cboComprasAnticiposDolares.SelectedValue = "";
            cboGastoProvisionadoSoles.SelectedValue = "";
            cboGastoProvisionadoDolares.SelectedValue = "";
        }
        





        scn.Close();
        dr.Close();

        //int Registros = dt.Rows.Count;

        //if (Registros > 0)
        //{
        //    for (int i = 0; i < dt.Rows.Count; i++)
        //    {

        //        Console.Write("TEST");
        //        cboCuentaNoemitidaSoles.SelectedValue = dt.Rows[i]["CuentaNoemitidaSoles"].ToString();
        //        cboCuentaNoemitidaDolares.SelectedValue = dt.Rows[i]["CuentaNoemitidaDolares"].ToString();
        //        cboCuentaEnCarteraSoles.SelectedValue = dt.Rows[i]["CuentaEnCarteraSoles"].ToString();
        //        cboCuentaEnCarteraDolares.SelectedValue = dt.Rows[i]["CuentaEnCarteraDolares"].ToString();
        //        cboCuentaEnCobranzaSoles.SelectedValue = dt.Rows[i]["CuentaEnCobranzaSoles"].ToString();
        //        cboCuentaEnCobranzaDolares.SelectedValue = dt.Rows[i]["CuentaEnCobranzaDolares"].ToString();
        //        cboCuentaGratuitaSoles.SelectedValue = dt.Rows[i]["CuentaGratuitaSoles"].ToString();
        //        cboCuentaGratuitaDolares.SelectedValue = dt.Rows[i]["CuentaGratuitaDolares"].ToString();
        //        cboCuentaAnticipoSoles.SelectedValue = dt.Rows[i]["CuentaAnticipoSoles"].ToString();
        //        cboCuentaAnticipoDolares.SelectedValue = dt.Rows[i]["CuentaAnticipoDolares"].ToString();
        //        cboComprasNoEmitidasSoles.SelectedValue = dt.Rows[i]["ComprasNoEmitidasSoles"].ToString();
        //        cboComprasNoEmitidasDolares.SelectedValue = dt.Rows[i]["ComprasNoEmitidasDolares"].ToString();
        //        cboComprasEmitidasSoles.SelectedValue = dt.Rows[i]["ComprasEmitidasSoles"].ToString();
        //        cboComprasEmitidasDolares.SelectedValue = dt.Rows[i]["ComprasEmitidasDolares"].ToString();
        //        cboComprasAnticiposSoles.SelectedValue = dt.Rows[i]["ComprasAnticiposSoles"].ToString();
        //        cboComprasAnticiposDolares.SelectedValue = dt.Rows[i]["ComprasAnticiposDolares"].ToString();
        //    }
  
        //}
    }
}